# This Spec file was Created by Marco Meijer <marco@mandrivaclub.nl>
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.mandrivaclub.nl

%define __libtoolize /bin/true
%define name    rargui
%define version 2.2
%define release 2.2007mcnl
%define summary Rar for linux
%define section System/Archiving/Compression

Name:           %{name} 
Summary:        %{summary}
Version:        %{version} 
Release:        %{release} 
Vendor:         Mandrakeclub.nl
URL:            http://eraser.c-lab.gr/
License:        GPL
Group:          Compression
Packager:       Marco Meijer <marco@mandrivaclub.nl>

Source0:        %{name}-%{version}.tar.bz2

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot 
BuildRequires:  libxorg-x11-devel libqt3-devel
Requires:       rar desktop-file-utils

%description

Front end for RAR. Package does not come with RAR executable.
icon by Mc Roy ( http://www.wincustomize.com/ViewSkin.aspx?SID=1&SkinID=357&LibID=29&comments=1 )

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%build

qmake

%make 

%install

mkdir -p %{buildroot}%{_bindir}
%__cp %{name}2 %{buildroot}%{_bindir}
%__cp dist/%{name}2-uninstall %{buildroot}%{_bindir}

mkdir -p %buildroot/%_datadir/applications/kde/
%__cp dist/%{name}2.desktop %buildroot/%_datadir/applications/kde/

mkdir -p %{buildroot}%{_datadir}/apps/konqueror/servicemenus/
%__cp dist/%{name}2_* %{buildroot}%{_datadir}/apps/konqueror/servicemenus/

mkdir -p %{buildroot}%{_docdir}/%{name}%{version}
%__cp dist/*.html %{buildroot}%{_docdir}/%{name}%{version}

mkdir -p %{buildroot}%{_datadir}/%{name}2
%__cp dist/mainicon.png %{buildroot}%{_datadir}/%{name}2

# Menu

# Create MDK menu structure
install -d %buildroot/%_menudir/

kdedesktop2mdkmenu.pl %{name} Applications/Archiving/Compression %buildroot/%_datadir/applications/kde/%{name}2.desktop %buildroot/%_menudir/%{name}2

desktop-file-install --vendor="" \
  --add-category="Qt" \
  --add-category="X-MandrivaLinux-System-Archiving-Compression" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications/kde/ $RPM_BUILD_ROOT%{_datadir}/applications/kde/*

#icons
%define  nameicon dist/mainicon.png
mkdir -p -m755 %{buildroot}{%_liconsdir,%_iconsdir,%_miconsdir}
convert -scale 48x48 %{nameicon} %{buildroot}/%{_liconsdir}/%{name}2.png
convert -scale 32x32 %{nameicon} %{buildroot}/%{_iconsdir}/%{name}2.png
convert -scale 16x16 %{nameicon} %{buildroot}/%{_miconsdir}/%{name}2.png


%post
/sbin/ldconfig
%update_menus
%{update_desktop_database}

%postun
/sbin/ldconfig
%clean_menus
%{clean_desktop_database}

%clean 
rm -rf $RPM_BUILD_ROOT

%files 
%{_bindir}/*
%defattr (-, root, root)
%{_menudir}/%{name}2
%{_datadir}/%{name}2/*
%{_datadir}/applications/kde/*
%{_datadir}/apps/konqueror/servicemenus/*
%{_docdir}/*
%{_iconsdir}/*

%changelog
*Sun Oct 23 2006 Marco Meijer <marco@mandrivaclub.nl> 2.2-1.2006mcnl
Mandriva 2007 rebuild + new version

*Sun Oct 16 2005 Marco Meijer <marco@mandrivaclub.nl> 2.1-1.2006mcnl
Mandriva 2006 rebuild

* Sun Apr 17 2005 Marco Meijer, <marco@mandrivaclub.nl> 2.1-2.101mcnl
icon change

* Wed Apr 13 2005 Marco Meijer, <marco@mandrivaclub.nl> 2.1-1.101mcnl
new version

* Sat Feb 05 2005 Marco Meijer, <marco@mandrivaclub.nl> 2-1.101mcnl
First Mandrakelinux 10.1 versie for Mandrivaclub.nl



